bug-automake
[Top][All Lists]
Advanced

[Date Prev][Date Next][Thread Prev][Thread Next][Date Index][Thread Index]

CVS: Requiring CC on C++ sources


From: Akim Demaille
Subject: CVS: Requiring CC on C++ sources
Date: Tue, 25 Feb 2003 12:30:34 +0100
User-agent: Gnus/5.090015 (Oort Gnus v0.15) Emacs/21.2

For some reason I have not tracked down, the current CVS version

(ChangeLog: 2003-02-24  Alexandre Duret-Lutz  <address@hidden>

        * ChangeLog: Move 2002's entries to ...
        * ChangeLog.02: ... this new file.
        * Makefile.am (EXTRA_DIST): Add ChangeLog.02.)

wants AC_PROG_CC if I use cppgen-visitor.hh as a library source file.


Here is a test case.  Sorry for no going further into it :(

Index: tests/cxx2.test
===================================================================
RCS file: /cvs/automake/automake/tests/cxx2.test,v
retrieving revision 1.2
diff -u -u -r1.2 cxx2.test
--- tests/cxx2.test 8 Sep 2002 13:07:55 -0000 1.2
+++ tests/cxx2.test 25 Feb 2003 11:28:02 -0000
@@ -1,5 +1,5 @@
 #! /bin/sh
-# Copyright (C) 2002  Free Software Foundation, Inc.
+# Copyright (C) 2002, 2003  Free Software Foundation, Inc.
 #
 # This file is part of GNU Automake.
 #
@@ -18,20 +18,27 @@
 # the Free Software Foundation, Inc., 59 Temple Place - Suite 330,
 # Boston, MA 02111-1307, USA.
 
-# Test that Automake suggests using AC_PROG_CXX if C++ sources are used.
+# Test that Automake suggests using AC_PROG_CXX if C++ sources are used,
+# but not AC_PROG_CC.
 
 . ./defs || exit 1
 
 set -e
 
-echo AC_PROG_CC >>configure.in
-
 cat >Makefile.am <<'END'
 bin_PROGRAMS = hello
 hello_SOURCES = hello.cpp
+
+noinst_LIBRARIES = libcppgen.a
+libcppgen_a_SOURCES =                          \
+libcppgen.hh                                   \
+libcppgen.cc                                   \
+cppgen-visitor.hh                              \
 END
 
 $ACLOCAL
 $AUTOMAKE 2>stderr && exit 1
 cat stderr
-grep AC_PROG_CXX stderr
+
+grep AC_PROG_CC stderr && exit 1
+grep AC_PROG_CXX stderr || exit 1




reply via email to

[Prev in Thread] Current Thread [Next in Thread]